Loading...
Searching...
No Matches
pappso::XicPeptideInterface Class Reference

`#include <xicpeptideinterface.h>`

Inheritance diagram for pappso::XicPeptideInterface:

## Public Member Functions

| ~XicPeptideInterface ()
virtual unsigned int | getCharge () const
Public Member Functions inherited from pappso::QualifiedXic
| QualifiedXic (const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
virtual | ~QualifiedXic ()
| QualifiedXic (const QualifiedXic &toCopy)
pappso_double | getMz () const
const XicCstSPtr | getXicCstSPtr () const
const XicSPtr & | getXicSPtr () const

## Protected Member Functions

| XicPeptideInterface (const MsRunId &msrun_id, const PeptideInterfaceSp &peptideInterfaceSp, PrecisionPtr precision, unsigned int charge)

## Private Attributes

const unsigned int | m_z
const PeptideInterfaceSp | msp_peptideInterface

## Detailed Description

Definition at line 34 of file xicpeptideinterface.h.

## Constructor & Destructor Documentation

## XicPeptideInterface()

pappso::XicPeptideInterface::XicPeptideInterface | ( | const MsRunId & | msrun_id,
|  | const PeptideInterfaceSp & | peptideInterfaceSp,
|  | PrecisionPtr | precision,
|  | unsigned int | charge )

protected

Definition at line 29 of file xicpeptideinterface.cpp.

: QualifiedXic(msrun_id, peptideInterfaceSp.get()->getMz(charge), precision),
m_z(charge),
msp_peptideInterface(peptideInterfaceSp)
{
}
pappso::QualifiedXic::QualifiedXic
QualifiedXic(const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
Definition qualifiedxic.cpp:33
pappso::XicPeptideInterface::msp_peptideInterface
const PeptideInterfaceSp msp_peptideInterface
Definition xicpeptideinterface.h:38
pappso::XicPeptideInterface::m_z
const unsigned int m_z
Definition xicpeptideinterface.h:37

References pappso::QualifiedXic::QualifiedXic(), pappso::QualifiedXic::getMz(), m_z, and msp_peptideInterface.

Referenced by pappso::XicPeptideFragmentIon::XicPeptideFragmentIon(), and pappso::XicPeptideFragmentIon::XicPeptideFragmentIon().

## ~XicPeptideInterface()

pappso::XicPeptideInterface::~XicPeptideInterface | ( |  | ) |

Definition at line 40 of file xicpeptideinterface.cpp.

{
}

## Member Function Documentation

## getCharge()

virtual unsigned int pappso::XicPeptideInterface::getCharge | ( |  | ) | const

inline virtual

Definition at line 49 of file xicpeptideinterface.h.

{
return m_z;
};

References m_z.

## Member Data Documentation

## m_z

const unsigned int pappso::XicPeptideInterface::m_z

private

Definition at line 37 of file xicpeptideinterface.h.

Referenced by XicPeptideInterface(), and getCharge().

## msp_peptideInterface

const PeptideInterfaceSp pappso::XicPeptideInterface::msp_peptideInterface

private

Definition at line 38 of file xicpeptideinterface.h.

Referenced by XicPeptideInterface().

The documentation for this class was generated from the following files:

- pappsomspp/core/xic/xicpeptideinterface.h
- pappsomspp/core/xic/xicpeptideinterface.cpp